#!/bin/bash
# Syncplify.me AFT! installation script

# Import necessary functions
source ./functions/utility.sh 
source ./functions/fresh_install.sh
source ./functions/repair_upgrade.sh 
source ./functions/remove_keep_conf.sh 
source ./functions/remove_all.sh 

# Ask user what to do
clear
echo "+--------------------------------+"
echo "| Syncplify.me AFT! Installation |"
echo "+--------------------------------+"
echo
if service_exists syncplify-me-aft; then
  echo "  1) Reinstall the software from scratch (erase configuration)"
  echo "  2) Upgrade/Repair the software (keep existing configuration)"
  echo "  3) Remove the software (but keep configuration)"
  echo "  4) Remove the software and its configuration" 
else
  echo "  1) Install the software (first installation)"
fi
echo "  9) Quit"
echo

read -p  "Please select an option: " n
case $n in
  1) do_fresh_install;;
  2) do_repair_upgrade;;
  3) do_remove_keep_conf;;
  4) do_remove_all;;
  9) echo "Thank you, good bye.";;
  *) echo "Invalid option, exiting installation";;
esac







